classification
Title: Simplify `_copy_func_details` in unittest.mock
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Jiajun Huang, berker.peksag, michael.foord, python-dev
Priority: normal Keywords: patch

Created on 2016-12-09 10:12 by Jiajun Huang, last changed 2016-12-15 02:22 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
mock.patch Jiajun Huang, 2016-12-09 10:12 review
Pull Requests
URL Status Linked Edit
PR 48 Jiajun Huang, 2016-12-09 10:12
Messages (6)
msg283046 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-12-12 21:18
Thanks for the patch. I only did a quick review, but it looks good to me.
msg283051 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2016-12-12 21:42
Yep, looks good to me to.
msg283102 - (view) Author: Jiajun Huang (Jiajun Huang) * Date: 2016-12-13 13:39
So what should I do next to make the code being merged into CPython? I am new to mercurial(or just wait for it?).
msg283109 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-12-13 14:48
I will commit your patch today if Michael doesn't beat me to it.
msg283227 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-15 02:20
New changeset bbdfde7958a8 by Berker Peksag in branch 'default':
Issue #28919: Simplify _copy_func_details() in unittest.mock
https://hg.python.org/cpython/rev/bbdfde7958a8
msg283228 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-12-15 02:22
Thanks, Jiajun!
History
Date User Action Args
2016-12-15 02:22:01berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg283228

stage: patch review -> resolved
2016-12-15 02:20:55python-devsetnosy: + python-dev
messages: + msg283227
2016-12-13 14:48:11berker.peksagsetmessages: + msg283109
2016-12-13 13:39:29Jiajun Huangsetmessages: + msg283102
2016-12-12 21:42:24michael.foordsetmessages: + msg283051
2016-12-12 21:18:58berker.peksagsetnosy: + berker.peksag, michael.foord

messages: + msg283046
stage: patch review
2016-12-09 10:12:46Jiajun Huangcreate